## ostree-bootconfig-parser ostree-bootconfig-parser |

## Functions

OstreeBootconfigParser * | ostree_bootconfig_parser_new ()
OstreeBootconfigParser * | ostree_bootconfig_parser_clone ()
gboolean | ostree_bootconfig_parser_parse ()
gboolean | ostree_bootconfig_parser_parse_at ()
gboolean | ostree_bootconfig_parser_write ()
gboolean | ostree_bootconfig_parser_write_at ()
void | ostree_bootconfig_parser_set ()
const char * | ostree_bootconfig_parser_get ()

## Types and Values

| OstreeBootconfigParser

## Description

## Functions

### ostree_bootconfig_parser_new ()

    OstreeBootconfigParser *
    ostree_bootconfig_parser_new (void);

### ostree_bootconfig_parser_clone ()

    OstreeBootconfigParser *
    ostree_bootconfig_parser_clone (OstreeBootconfigParser *self);

#### Parameters

self | Bootconfig to clone |

#### Returns

Copy of `self` .

[transfer full]

### ostree_bootconfig_parser_parse ()

    gboolean
    ostree_bootconfig_parser_parse (OstreeBootconfigParser *self,
                                    GFile *path,
                                    GCancellable *cancellable,
                                    GError **error);

### ostree_bootconfig_parser_parse_at ()

    gboolean
    ostree_bootconfig_parser_parse_at (OstreeBootconfigParser *self,
                                       int dfd,
                                       const char *path,
                                       GCancellable *cancellable,
                                       GError **error);

Initialize a bootconfig from the given file.

#### Parameters

self | Parser |
dfd | Directory fd |
path | File path |
cancellable | Cancellable |
error | Error |

### ostree_bootconfig_parser_write ()

    gboolean
    ostree_bootconfig_parser_write (OstreeBootconfigParser *self,
                                    GFile *output,
                                    GCancellable *cancellable,
                                    GError **error);

### ostree_bootconfig_parser_write_at ()

    gboolean
    ostree_bootconfig_parser_write_at (OstreeBootconfigParser *self,
                                       int dfd,
                                       const char *path,
                                       GCancellable *cancellable,
                                       GError **error);

### ostree_bootconfig_parser_set ()

    void
    ostree_bootconfig_parser_set (OstreeBootconfigParser *self,
                                  const char *key,
                                  const char *value);

### ostree_bootconfig_parser_get ()

    const char *
    ostree_bootconfig_parser_get (OstreeBootconfigParser *self,
                                  const char *key);

## Types and Values

### OstreeBootconfigParser

    typedef struct _OstreeBootconfigParser OstreeBootconfigParser;